"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
// import CodeGen from '@alilc/lowcode-code-generator';
// @ts-ignore
const rao_lowcode_code_generator_1_1 = tslib_1.__importDefault(require("rao-lowcode-code-generator-1"));
const example_1 = tslib_1.__importDefault(require("./plugins/example"));
function createGateLowcodeOutputPluginProjectBuilder() {
    return rao_lowcode_code_generator_1_1.default.createProjectBuilder({
        template: rao_lowcode_code_generator_1_1.default.solutionParts.icejs.template,
        plugins: {
            components: [
                rao_lowcode_code_generator_1_1.default.plugins.react.reactCommonDeps(),
                rao_lowcode_code_generator_1_1.default.plugins.common.esmodule({ fileType: 'jsx' }),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerClass(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectContext(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectUtils(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectDataSourceEngine(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectI18n(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInitState(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerLifeCycle(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerMethod(),
                (0, example_1.default)(),
                rao_lowcode_code_generator_1_1.default.plugins.react.jsx({
                    nodeTypeMapping: {
                        Div: 'div',
                        Component: 'div',
                        Page: 'div',
                        Block: 'div',
                    },
                }),
                rao_lowcode_code_generator_1_1.default.plugins.style.css(),
            ],
            pages: [
                rao_lowcode_code_generator_1_1.default.plugins.react.reactCommonDeps(),
                rao_lowcode_code_generator_1_1.default.plugins.common.esmodule({ fileType: 'jsx' }),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerClass(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectContext(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectUtils(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectDataSourceEngine(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInjectI18n(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerInitState(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerLifeCycle(),
                rao_lowcode_code_generator_1_1.default.plugins.react.containerMethod(),
                (0, example_1.default)(),
                rao_lowcode_code_generator_1_1.default.plugins.react.jsx({
                    nodeTypeMapping: {
                        Div: 'div',
                        Component: 'div',
                        Page: 'div',
                        Block: 'div',
                    },
                }),
                rao_lowcode_code_generator_1_1.default.plugins.style.css(),
            ],
            router: [
                rao_lowcode_code_generator_1_1.default.plugins.common.esmodule(),
                rao_lowcode_code_generator_1_1.default.solutionParts.icejs.plugins.router(),
            ],
            entry: [rao_lowcode_code_generator_1_1.default.solutionParts.icejs.plugins.entry()],
            constants: [rao_lowcode_code_generator_1_1.default.plugins.project.constants()],
            utils: [
                rao_lowcode_code_generator_1_1.default.plugins.common.esmodule(),
                rao_lowcode_code_generator_1_1.default.plugins.project.utils('react'),
            ],
            i18n: [rao_lowcode_code_generator_1_1.default.plugins.project.i18n()],
            globalStyle: [rao_lowcode_code_generator_1_1.default.solutionParts.icejs.plugins.globalStyle()],
            htmlEntry: [rao_lowcode_code_generator_1_1.default.solutionParts.icejs.plugins.entryHtml()],
            packageJSON: [rao_lowcode_code_generator_1_1.default.solutionParts.icejs.plugins.packageJSON()],
        },
        postProcessors: [rao_lowcode_code_generator_1_1.default.postprocessor.prettier()],
    });
}
exports.default = createGateLowcodeOutputPluginProjectBuilder;
//# sourceMappingURL=index.js.map